package com.th.demo.service.ware;

import com.th.demo.model.ware.Store;

import javax.xml.crypto.Data;
import java.util.Date;

public interface StoreService {
    String queryLayerByStackId(String stackId, String userId, String belongId);

    String queryByWareIdStackId(String wareId, String stackId, String userId, String belongId);

    String query(int page, int rows, String wareName, String stackName, String userId, String belongId);
    
    String modify(String json, String userId, String belongId);

    String queryStore(int page, int rows, String wareName, String stackName, String model, String materialName, String standard,
                      String customerName, String userId, String belongId,
                      String plateNo, String ordNo, String contractNo, String fkcustmerName, String packNo,
                      String outFlag, Date fromDate, Date toDate);

    String modifyCustomer(String id,String customerNameOld,String customerNameNew);

    String modifyCustomeradress(String id,String customerAddressOld,String customerAddressNew);

    String changeAll(String json,
                     String newCustomername,
                     String newFKCustomername,
                     String newContractno,
                     String newOrdno,
                     String newReceiveaddress,
                     String newProductionplace,
                     String newPackno,
                     String userId,
                     String belongId);

    String changeStack(String json,String newWare,String newStack,String newRemark1,
                       String newRemark, String userId,String belongId);

    String lockAndUnlock(String json,String lockFlag,String userId,String belongId);

    String Outbound(String json,String outbound,String userId,String belongId);

    String queryTotal(String wareName, String stackName, String model, String materialName, String standard,
                      String customerName, String userId, String belongId,
                      String plateNo, String ordNo, String contractNo, String fkcustmerName, String packNo,
                      String outFlag, Date fromDate, Date toDate);
}
